/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */

#ifndef MJ_LOGIC_H
#define MJ_LOGIC_H

/** Logical operators. */

enum MJ_Logic {
  MJ_LOGIC_AND,
  MJ_LOGIC_OR,
  /// Exlusive or
  MJ_LOGIC_XOR,
  MJ_LOGIC_NOT,
  MJ_LOGIC_SIZEOF
};

#endif
