#import "ParticleObjectPatchAbstract.h"

#import "vee_gravity.h"

@interface ParticleForceGravityPatch : ParticleObjectPatchAbstract
{
	QCNumberPort *inputGx;
	QCNumberPort *inputGy;
	QCNumberPort *inputGz;
}

- (id)attributes;

- (id)initWithIdentifier:(id)fp8;

- (BOOL)setup:(QCOpenGLContext *)context;
- (void)cleanup:(QCOpenGLContext *)context;

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments;
@end