#import "ParticleOperatorVectorPatchAbstract.h"

#import "vee_value_random.h"

@interface ParticleOperatorVectorRandomPatch : ParticleOperatorVectorPatchAbstract
{
	QCNumberPort *inputMinX;
	QCNumberPort *inputMinY;
	QCNumberPort *inputMinZ;
	QCNumberPort *inputMaxX;
	QCNumberPort *inputMaxY;
	QCNumberPort *inputMaxZ;
}

- (id)initWithIdentifier:(id)fp8;

- (BOOL)setup:(QCOpenGLContext *)context;
- (void)cleanup:(QCOpenGLContext *)context;

- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments;
@end