#import "ParticleObjectPort.h"

@implementation ParticleObjectPort : QCObjectPort
+ (Class)baseClass
{
	return [ParticleObjectPort class];
}
- (Class)valueClass
{
	return [ParticleObject class];
}
- (Class)objectClass
{
	return [ParticleObject class];
}

- (BOOL)acceptValuesOfClass:(Class)c
{
	return [c isSubclassOfClass:[ParticleObject class]];
}
- (NSString *)tooltipString
{
	return [[self object] description];
}


- (ParticleObject *)objectValue
{
	return [self object];
}
- (id)value
{
	return [self object];
}

- (void)setObjectValue:(ParticleObject *)object
{
	[self setObject:object];

}
- (BOOL)setValue:(id)v
{
	[self setObject:v];
	return YES;
}

- (id)initWithNode:(QCPatch *)node arguments:(NSDictionary *)arguments;
{
	self=[super initWithNode:node arguments:arguments];
	return self;
}
@end
