#import <QCStructurePort.h>
#import <QCObjectPort.h>
#import <QCPatch.h>

#import "ParticleOperator.h"

@interface ParticleOperatorPort : QCObjectPort
{
}
+ (Class)baseClass;
- (Class)valueClass;
- (Class)objectClass;
- (BOOL)acceptValuesOfClass:(Class)c;
- (NSString *)tooltipString;

- (ParticleOperator *)operatorValue;
- (id)value;

- (void)setOperatorValue:(ParticleOperator *)op;
- (BOOL)setValue:(id)v;

- (id)initWithNode:(QCPatch *)node arguments:(NSDictionary *)arguments;
@end
