/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#include <vee_garbage.h>

VEE_Garbage::~VEE_Garbage() 
{
  if(m_bin)
    m_bin->add(this); 
}


void VEE_Garbage::setGarbageBin(VEE_GarbageBin *bin) 
{ 
  m_bin = bin; 
}
