/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#include <vee_operator_callback.h>

VEE_OperatorCallback::~VEE_OperatorCallback()
{}
  
void VEE_OperatorCallback::operate(VEE_Object *o, float dt)
{
  if(m_func)
    (*m_func)(o, dt, m_clienData);
}
 
VEE_Operator * VEE_OperatorCallback::clone() const
{
  return new VEE_OperatorCallback(*this);
}
