/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#include <vee_operator_object.h>


VEE_OperatorObject::~VEE_OperatorObject()
{}
  
VEE_Object * VEE_OperatorObject::clone() const
{
  return new VEE_OperatorObject(*this);
}

void VEE_OperatorObject::update(float dt)
{
  VEE_Particle::update(dt);
  
  m_operators.operate2(dt);
}


