#include <vee_value.h>
#include <vee_matrix3.h>

/// Image-based vector producer.
class VEE_ValueVectorImage : public VEE_Value
{
public:
  VEE_ValueVectorImage();
  virtual ~VEE_ValueVectorImage();
  
  virtual VEE_Value * clone() const;

  virtual bool getVector3(VEE_Vector3 *);


	void setImage(int w, int h,void *image,int bytesPerRow);

protected:
	int _pos,_width,_height,_stride;
	void *_image;
};
