
/** This file is part of the ConfigReader library.*/

#ifndef CONFIG_READER_EMPTY_HPP
#define CONFIG_READER_EMPTY_HPP

/** @file ConfigReaderEmpty.hpp Empty declarations of the classes. Use
    this header to avoid loading the more complex stuff into all of
    your files. */

namespace ConfigReader {

  class Variant;
  template <class T> class ChunkT;

  typedef ChunkT<Variant> Chunk;
  typedef ChunkT<Chunk>   Config;

}

#endif
