/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef GEE_SOLAR_CONVERSION_H
#define GEE_SOLAR_CONVERSION_H

namespace Solar {
  class Model;
}

typedef Solar::Model Solar_Model;

class GEE_Group;

class GEE_ToSolar
{
public:
  
  static void convert(Solar_Model * target, GEE_Group * source);
};

#endif
