#!/bin/sh

FILE=fire-2.qt

# Linux/mencoder:

mencoder explosion-\*.jpg -mf on:fps=25 -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=1200 -o explosion.avi

mencoder shaft-\*.jpg -mf on:fps=25 -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=400 -o shaft.avi

mencoder saddle-\*.jpg -mf on:fps=25 -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=900 -o saddle.avi

mencoder fire-\*.jpg -mf on:fps=25 -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=600 -o fire.avi

mencoder fire-\*.jpg -mf on:fps=25 -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=400 -o fire.avi -vop scale=320:240

mencoder Vee-Frame-\*.png -mf on:fps=25 -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=400 -o movie.avi

mencoder mf://expl*.jpg -mf fps=25:type=jpg  -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=900 -o remppu.avi


# IRIX/dmconvert:

dmconvert -f qt -p video,inrate=25,rate=25,comp=jpeg,squal=0.8,il=even,or=t2b -n frames/frame-####.jpeg,start=4555,end=4800 frames/frame-####.jpeg $FILE

dmconvert -f qt -p video,sx=320,sy=240,inrate=25,rate=25,comp=jpeg,squal=0.7,il=even,or=t2b -n frames/saddle-#####.jpg,start=1,end=1585 frames/saddle-#####.jpg saddle.qt

dmconvert -f qt -p video,inrate=25,rate=25,comp=jpeg,squal=0.8,il=even,or=t2b -n frames/explosion-#####.jpg,start=1,end=661 frames/explosion-#####.jpg explosion.qt

dmconvert -f qt -p video,sx=320,sy=240,inrate=25,rate=25,comp=jpeg,squal=0.5,il=even,or=t2b -n frames/explosion-#####.jpg,start=1,end=661 frames/explosion-#####.jpg explosion-small.qt

dmconvert -f qt -p video,inrate=25,rate=25,comp=jpeg,squal=0.5,il=even,or=t2b -n frames/shaft-#####.jpg,start=1,end=551 frames/shaft-#####.jpg shaft.qt

dmconvert -f qt -p video,comp=qt_mjpega,il=odd  -n frames/frame-####.jpeg,start=4555,end=4800 frames/frame-####.jpeg $FILE

dmconvert -f mpeg1v -p video,rate=24  -n frames/fire2-######.jpeg,start=2467,end=4060 frames/fire2-######.jpeg movies/fire2.mpg

dmconvert -f mpeg1v -p video,rate=24  -n frames/galaxy-######.jpeg,start=6422,end=11176 frames/galaxy-######.jpeg movies/galaxy.mpg

dmconvert -f mpeg1v -p video,rate=24  -n frames/factory-######.jpeg,start=8216,end=9735 frames/factory-######.jpeg movies/factory.mpg

movieplayer $FILE

# Linux:
gmplayer $FILE
