# Simple fire effect

# Usual initializations:
from vee_init import *
from vee import *
import math
qa = QApplication_newApp()
scene = VEE_SceneBox()
VEE_ObjectFactory_init()



# vq.getGlWidget().addGeeObject(lines2);

#############################################################################

world = GEE_World();
g = GEE_Group();
g.thisown = 0;

world.addGeometry(g);

# g.loadModel("/usr/share/Performer/data/dumptruck.obj");
# g.loadModel("/usr/share/Performer/data/cow.obj");
g.loadModel("/n/scratch/sali/wavefront/sali600.obj");
# g.loadModel("hakkyra.obj");
g.convertPolygonsToTriangles();

model = Solar_Model()

GEE_ToSolar_convert(model, g);

solarobj = Solar_Object()

solarobj.setModel(model)
#solarobj.setLocation(objloc)
#solarobj.setRotation(rot)

model.normalize(20.0, 1);
    
#############################################################################

vq = VEE_Qt(scene)
# Make force invisible:
q2 = VEE_TestQt(vq, scene, "", 640, 480, 0, vq)
# q2.setMtlFile("vee_materials.mtl");
q2.setMtlFile("sali600.mtl");
vq.setGlWidget(q2);

q2.addModel(model);
q2.addObject(solarobj);

# Make forces invisible:
vq.toggleForceMode();
qa.setMainWidget(vq)
vq.show()

vq.setFrameFile("frames/obj-%.5d.jpg")

vq.renderer().setRange(0.05, 5.0, 1000.0);
qa.execute()

