
function h = vfaplot(filename, includeAlpha);

fd = fopen(filename, 'r');

foo  = fscanf(fd, '%s', 1);
s = fscanf(fd, '%d', [1, 3]);

row = 1;
rows = s(2)

cols = s(3)

xmatrix = zeros(rows, cols);
ymatrix = xmatrix;
zmatrix = xmatrix;
amatrix = xmatrix;

while(row <= rows)

  col = 1;

  while(col <= cols)
    foo  = fscanf(fd, '%s', 1);
    tmpv = [6 6 6 6];
    tmpv = fscanf(fd, ' %f ', [1, 4]);
    foo  = fscanf(fd, '%s', 1);
    % fprintf(1, '[%f %f %f %f]', tmpv(1), tmpv(2), tmpv(3), tmpv(4));
    xmatrix(row, col) = tmpv(1);
    ymatrix(row, col) = tmpv(2);
    zmatrix(row, col) = tmpv(3);
    amatrix(row, col) = tmpv(4);
    col = col + 1;
  end

  fprintf('LOOP %d\n', row);

  row = row +1;
end

% xmatrix
% amatrix

[u,v]=meshgrid(1:1:rows, 1:1:cols);

% if includeAlpha == 0
%  xmatrix = xmatrix .* amatrix;
%  ymatrix = ymatrix .* amatrix;
% end


figure(1)
clf
% clear

hold on

color = [0.2 0.2 0.2]

for row=1:rows

    for col=1:cols

	a = amatrix(row, col);

        if (includeAlpha == 1)

	   color = [1 1 1] - [a a a] * 0.3;

	   l = 0.5;

	   low_x  = col - l;
	   high_x = col + l;
	   low_y  = row - l;
	   high_y = row + l;

	   h = fill([low_x, high_x, high_x, low_x], [low_y, low_y, high_y, high_y], color);
	   set(h, 'EdgeColor', color);
	end
    end

end

quiver(u,v, xmatrix, ymatrix);

axis([-1 cols+1 -1 rows+1]);
axis equal
% axis square

hold off

zoom on

% print -deps gradient-field.eps
