# Simple fire effect

# Usual initializations:
from vee_init import *
from vee import *
import math

# GEE_Debug_setDebugAll(1)

qa = QApplication_newApp()
scene = VEE_SceneBox()
VEE_ObjectFactory_init()
GEE_World_loadTextureDefinitions("vee-gl.config");

agelimit = 2.0
gravity = 5.0

vq = VEE_Qt(scene)
engine = vq.getGlWidget().geeEngine()
engine.read("wonder.gee");

# Make forces invisible:
vq.toggleForceMode();
qa.setMainWidget(vq)
vq.show()

vq.setFrameFile("/u/home/wmakela/shots/helma-%.5d.png")

print vq.renderer().subTextureCount()

vq.getGlWidget().geeMaterials().defaultMaterial().setUseVertexColors(1)

qa.execute()
