/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */

#ifndef MJ_AUDIO_IO_GUI_H
#define MJ_AUDIO_IO_GUI_H

#include <mj_io_conf_gui.h>


/** A GUI that can be used to change audio IO configuration. 

    @see MJ_AudioConf 
 */
class MJ_AudioIoGui : public MJ_IoConfGui
{
public:
  MJ_AudioIoGui(QWidget      *parent=0, 
		const char   *name=0);

  virtual ~MJ_AudioIoGui();

protected:

  virtual QString ioTypeName(bool input);
  virtual QString ioName(bool input, int index);
};

#endif
