/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */

#ifndef MJ_MENU_TEST_H
#define MJ_MENU_TEST_H

#include <qwidget.h> 

class QApplication;
class QPopupMenu;
class QPushButton;

/** Menu test widget. */

class MJ_MenuTest : public QWidget
{
  Q_OBJECT

public:
  MJ_MenuTest(QWidget * parent=0, const char * name=0);
  ~MJ_MenuTest();

  static void test(QApplication *);

public slots:
  void showMenu();

protected:
  QPopupMenu  *m_menu;
  QPushButton *m_button;
};

#endif
