/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of Mustajuuri LGPL modules.
 *
 * Author: Tommi Ilmonen, 1999-2004.
 * e-mail: firstname.lastname(at)hut.fi
 *
 * http://www.tml.hut.fi/~tilmonen/mustajuuri/
 *
 * This file is licensed under the Lesser General Public License
 * (LGPL) - version 2.1. Extra clauses can be found from the file
 * MUSTAJUURI_LGPL and further explanations from the file
 * MUSTAJUURI_LICENSE. The license text can be found in file
 * "LGPL.txt".
 *
 * If you want a parallel license (for commercial reasons for example),
 * you should negotiate the matter with the author(s).
 *    
 */

#ifndef MJ_ROOT_POWERS_H
#define MJ_ROOT_POWERS_H

/** Test root-priority features on the system.
*/

class MJ_RootPowers
{
public:
  
  MJ_RootPowers() {}
  ~MJ_RootPowers() {}

  static void getCapabilities();
  
  static void test();
  static void testClock();
  
protected:
  static const char *m_capApplication;
};

#endif
