#import "ParticleEmitterPatch.h"
#import "ParticleEmitterPatchUI.h"

@implementation ParticleEmitterPatchUI

+ (NSString *)viewNibName
{
    return @"ParticleEmitterPatchUI";
}

+ (NSString *)viewTitle
{
    return @"Particle Emitter Operators";
}

- (IBAction)updateOperators:(id)sender
{
	if( [sender isSelectedForSegment:0] == TRUE)
		[[self patch] addOperator];
	else if( [sender isSelectedForSegment:1] == TRUE)
		[[self patch] removeOperator];
}

- (IBAction)updateChildOperators:(id)sender
{
	if( [sender isSelectedForSegment:0] == TRUE)
		[[self patch] addChildOperator];
	else if( [sender isSelectedForSegment:1] == TRUE)
		[[self patch] removeChildOperator];
}

@end