#import "ParticleObjectSubstantialPatchAbstract.h"

@interface ParticleForceVortexPatch : ParticleObjectSubstantialPatchAbstract
{
	QCNumberPort *inputNx; // Axis Vector
	QCNumberPort *inputNy;
	QCNumberPort *inputNz;
	QCNumberPort *inputEpsilon;
// magnitude is kinda equivalent to omega, and omega is unused in the vortex, so we'll make the two equivalent
//	QCNumberPort *inputMagnitude;
	QCNumberPort *inputRange;
// height is kinda equivalent to size, and size is unused in the vortex, so we'll make the two equivalent
//	QCNumberPort *inputHeight;
	QCNumberPort *inputStrength;
	QCNumberPort *inputFadeRange;
	QCNumberPort *inputMaxForce;
	QCNumberPort *inputRadialForce;
	QCNumberPort *inputMinRadius;
}

- (id)attributes;
- (id)initWithIdentifier:(id)fp8;
- (BOOL)setup:(QCOpenGLContext *)context;
- (void)cleanup:(QCOpenGLContext *)context;
- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments;
@end