#import "ParticleObjectVolumetricPatchAbstract.h"

@interface ParticleForceWindPatch : ParticleObjectVolumetricPatchAbstract
{
	QCNumberPort *inputNx; // Axis Vector
	QCNumberPort *inputNy;
	QCNumberPort *inputNz;
	QCNumberPort *inputStrength;
	QCNumberPort *inputGustStrength;
	QCNumberPort *inputGustFrequency;
}

- (id)attributes;
- (id)initWithIdentifier:(id)fp8;
- (BOOL)setup:(QCOpenGLContext *)context;
- (void)cleanup:(QCOpenGLContext *)context;
- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments;
@end