#import "ParticleOperatorPatchAbstract.h"

#import "vee_value_operator.h"


@implementation ParticleOperatorPatchAbstract

+ (int)executionModeWithIdentifier:(id)fp8
{
	return 0;
}
+ (BOOL)allowsSubpatchesWithIdentifier:(id)fp8
{
	return NO;
}
+ (int)timeModeWithIdentifier:(id)fp8
{
	return 0;
}

- (id)initWithIdentifier:(id)fp8
{
//	NSLog(@"ParticleOperatorPatchAbstract::initWithIdentifier");
	self=[super initWithIdentifier:fp8];
	return self;
}

- (BOOL)setup:(QCOpenGLContext *)context
{
//	NSLog(@"ParticleOperatorPatchAbstract::setup");

	VEE_ValueOperator *vop=new VEE_ValueOperator;

	_op=[[ParticleOperator alloc] initWithOperator:vop];
	[outputOperator setOperatorValue:_op];

	return YES;
}
- (void)cleanup:(QCOpenGLContext *)context
{
//	NSLog(@"ParticleOperatorPatchAbstract::cleanup");

	[_op release];
	// _op takes care of releasing our VEE_ValueOperator
}


- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments
{
//	NSLog(@"ParticleOperatorPatchAbstract::execute");

	return YES;
}

@end
