#import "ParticleObjectSubstantialPatchAbstract.h"
#import "ParticleLooksPort.h"
#import "ParticleRenderClassPort.h"

#import "vee_particle2.h"

@interface ParticleParticlePatch : ParticleObjectSubstantialPatchAbstract
{
	ParticleLooksPort *inputLooks;
	ParticleRenderClassPort *inputRenderClass;
}

- (id)attributes;
- (id)initWithIdentifier:(id)fp8;
- (BOOL)setup:(QCOpenGLContext *)context;
- (void)cleanup:(QCOpenGLContext *)context;
- (BOOL)execute:(QCOpenGLContext *)context time:(double)time arguments:(NSDictionary *)arguments;
@end