#import <QCStructurePort.h>
#import <QCObjectPort.h>
#import <QCPatch.h>

#import "ParticleRenderClass.h"

@interface ParticleRenderClassPort : QCObjectPort
{
}
+ (Class)baseClass;
- (Class)valueClass;
- (Class)objectClass;
- (BOOL)acceptValuesOfClass:(Class)c;
- (NSString *)tooltipString;

- (ParticleRenderClass *)renderClassValue;
- (id)value;

- (void)setRenderClassValue:(ParticleRenderClass *)renderClass;
- (BOOL)setValue:(id)v;

- (id)initWithNode:(QCPatch *)node arguments:(NSDictionary *)arguments;
@end
