/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#include <vee_render_class.h>


VEE_RenderClass::VEE_RenderClass()
{
  defaults();
}

VEE_RenderClass::~VEE_RenderClass()
{}

void VEE_RenderClass::defaults()
{
  m_shader = 0;
  m_lengthScale = 2.0;
  m_maxLengthScale = 4.0;
  m_align = VEE_ALIGN_MOTION_TEXTURE;
}
