/* COPYRIGHT
 *
 * This file is part of the Gesture Recognition Toolkit - GRT
 *
 * Author:    Tommi Ilmonen, 2001.
 * Copyright: Tommi Ilmonen, 2001.
 *
 * Tommi.Ilmonen@hut.fi
 *    
 */

/* #include "Fluid/TimeStamp.hpp"


namespace Fluid {

  TimeStamp::stamp_t TimeStamp::getTimeOfDayStamp()
  {
    struct timeval tp;
    
    gettimeofday(&tp,0);
    
    double fraction = 0.000001 * (double) tp.tv_usec;
    
    stamp_t tmp = tp.tv_sec;
    tmp = tmp << 32;
    
    unsigned lfraction = 
      (unsigned) (fraction * (double) ((unsigned) 0xffffffff));
    
    return tmp + (stamp_t) lfraction;
  }
  
  
  void TimeStamp::write(char *str) const
  {
    sprintf(str, "%u %u", secondsU(), subSecondsU());
  }

  void TimeStamp::read(const char *str)
  {
    unsigned sec = 0, sub = 0;

    sscanf(str, "%u %u", & sec, & sub);

    unsigned long long tmp = sec;

    tmp = tmp << 32;
    tmp += sub;    

    m_stamp = tmp;
  }
  

} // namespace
*/
