/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Visual Effects Engine - VEE
 *
 * Read the "VEE-LICENSE" file for the license.
 *
 * Authors & Copyright:   
 *
 * Tommi Ilmonen, Tuukka Heikura, Marko Myllymaa and 
 * Janne Kontkanen 2001-2004
 *
 * Additional copyrights: Tekes 2003-2004
 *
 * firstname.lastname@hut.fi
 *
 */

#ifndef GEE_BOUNDED_H
#define GEE_BOUNDED_H

#include <vee_bounding_box.h>

class GEE_Bounded
{
public:
  GEE_Bounded() {}
  virtual ~GEE_Bounded() {}

  virtual void getBoundingBox(VEE_BoundingBox *) = 0;
};

#endif

