/* -*- C++ -*- */

/* COPYRIGHT
 *
 * This file is part of the Simple Object Loader and Renderer - SOLAR
 *
 * Read the file "SOLAR-LICENSE" for the license.
 *
 * Authors & Copyright:
 *
 * Tommi Ilmonen, 2001-2003, except LWO-code by RJ, 2001-2003
 *
 * Tommi's email: firstname.lastname@hut.fi
 *
 */

#ifndef SOLAR_BOUNDING_BOX_H
#define SOLAR_BOUNDING_BOX_H

#include <FluidVector3.hpp>

#include <vee_bounding_box.h>

namespace Solar {

  typedef VEE_BoundingBox BoundingBox;

} // namespace Solar

#endif
